> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Idcard Check 1E

> Pass in the portrait photo of the ID card, identify the information on the ID card photo, and compare the name, ID card number, portrait photo of the ID card with the certificate photo of the authority database, whether it belongs to the same person, so as to verify the authenticity of the ID card information.



## OpenAPI

````yaml /openapi/identity.json post /identity/idcard/check-1e
openapi: 3.0.0
info:
  title: Identity Authentication
  version: 1.0.0
  description: API reference for Identity Authentication on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /identity/idcard/check-1e:
    post:
      summary: Idcard Check 1E
      description: >-
        Pass in the portrait photo of the ID card, identify the information on
        the ID card photo, and compare the name, ID card number, portrait photo
        of the ID card with the certificate photo of the authority database,
        whether it belongs to the same person, so as to verify the authenticity
        of the ID card information.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Identity Idcard Check 1E Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - image_url
              properties:
                config:
                  type: string
                  description: Identity Idcard Check 1E Config
                image_url:
                  type: string
                  description: Identity Idcard Check 1E Image Url
            example:
              image_url: https://cdn.acedata.cloud/0iad3k.png
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  sex:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Sex
                  sim:
                    type: number
                    description: Identity Idcard Check 1E Response 200 Sim
                  name:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Name
                  birth:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Birth
                  id_num:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Id Num
                  nation:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Nation
                  result:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Result
                  address:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Address
                  quality:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Quality
                  portrait:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Portrait
                  warnings:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Warnings
                  encryption:
                    type: array
                    items:
                      type: object
                      properties:
                        iv:
                          type: string
                          description: Identity Idcard Check 1E Response 200 Encryption Iv
                        tag_list:
                          type: array
                          items:
                            type: string
                          description: >-
                            Identity Idcard Check 1E Response 200 Encryption Tag
                            List
                        algorithm:
                          type: string
                          description: >-
                            Identity Idcard Check 1E Response 200 Encryption
                            Algorithm
                        encrypt_list:
                          type: array
                          items:
                            type: string
                          description: >-
                            Identity Idcard Check 1E Response 200 Encryption
                            Encrypt List
                        ciphertext_blob:
                          type: number
                          description: >-
                            Identity Idcard Check 1E Response 200 Encryption
                            Ciphertext Blob
                      description: Identity Idcard Check 1E Response 200 Encryption
                  description:
                    type: string
                    description: Identity Idcard Check 1E Response 200 Description
          description: Identity Idcard Check 1E Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Identity Idcard Check 1E Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: >-
                              Identity Idcard Check 1E Response 400 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 1E Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Identity Idcard Check 1E Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: >-
                              Identity Idcard Check 1E Response 400 Error
                              Message 2
                      trace_id:
                        type: string
                        description: Identity Idcard Check 1E Response 400 Trace Id 2
          description: Identity Idcard Check 1E Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Identity Idcard Check 1E Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: >-
                              Identity Idcard Check 1E Response 401 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 1E Response 401 Trace Id
          description: Identity Idcard Check 1E Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Identity Idcard Check 1E Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: >-
                              Identity Idcard Check 1E Response 429 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 1E Response 429 Trace Id
          description: Identity Idcard Check 1E Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Identity Idcard Check 1E Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: >-
                              Identity Idcard Check 1E Response 500 Error
                              Message
                      trace_id:
                        type: string
                        description: Identity Idcard Check 1E Response 500 Trace Id
          description: Identity Idcard Check 1E Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````